Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.util
[Java] Interface ObjectGraphBuilder.NewInstanceResolver

    public interface ObjectGraphBuilder.NewInstanceResolver

Strategy for creating new instances of a class.
Useful for plug-in calls to non-default constructors.

Method Summary
`java.lang.Object` | `newInstance(java.lang.Class klass, java.util.Map attributes)`

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.Class klass, java.util.Map attributes)

Groovy Documentation